com.mapinfo.midev.geometry

## Class GeometryType

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.geometry.GeometryType

All Implemented Interfaces:
  Serializable, Comparable

    public final class GeometryType
    extends Enum

Enumeration of all possible supported geometries.

See Also:
  Serialized Form

### Field Summary

Fields
`static Set` `ALL_CURVE_SEGMENT_TYPE` Identifies all the types that are considered curve segments.
`static Set` `ALL_FEATURE_GEOMETRY_TYPE` Identifies all the types that can be the geometry of a feature.
`static Set` `ALL_FIRST_CLASS_FEATURE_GEOMETRY_TYPE` Identifies all of the types that are considered first class feature geometry types.
`static Set` `ALL_GEOMETRY_WITH_AREA_TYPE` Identifies all the types that have area.
`static Set` `ALL_GEOMETRY_WITH_LENGTH_TYPE` Identifies all the types that have length.
`static Set` `ALL_GEOMETRY_WITH_PERIMETER_TYPE` Identifies all the types that have perimeter.
`static Set` `ALL_LEGACY_GEOMETRY_TYPE` Identifies all of the types that are considered MapInfo legacy geometry types.
`static Set` `ALL_NON_FEATURE_GEOMETRY_TYPE` Identifies all the types that are not feature geometry types.
`static GeometryType` `CURVE` type for `ICurve`
`static GeometryType` `ELLIPSE` type for `ILegacyEllipse`
`static GeometryType` `LEGACY_ARC` type for `ILegacyArc`
`static GeometryType` `LEGACY_TEXT` type for `ILegacyText`
`static GeometryType` `LINE_STRING` type for `ILineString`
`static GeometryType` `MULTI_CURVE` type for `IMultiCurve`
`static GeometryType` `MULTI_FEATURE_GEOMETRY` type for `IMultiFeatureGeometry`
`static Set` `MULTI_FEATURE_GEOMETRY_CONTENTS_TYPE` Identifies all the types that can be contained by an `IMultiFeatureGeometry`.
`static GeometryType` `MULTI_POINT` type for `IMultiPoint`
`static GeometryType` `MULTI_POLYGON` type for `IMultiPolygon`
`static GeometryType` `POINT` type for `IPoint`
`static GeometryType` `POLYGON` type for `IPolygon`
`static GeometryType` `RECTANGLE` type for `IRectangle`
`static GeometryType` `RING` type for `IRing`
`static GeometryType` `ROUNDED_RECTANGLE` type for `ILegacyRoundedRectangle`

### Method Summary

All Methods Static Methods Concrete Methods
`static GeometryType` `valueOf(String name)`
`static GeometryType[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### POINT

    public static final GeometryType POINT

type for `IPoint`

#### MULTI_POINT

    public static final GeometryType MULTI_POINT

type for `IMultiPoint`

#### MULTI_CURVE

    public static final GeometryType MULTI_CURVE

type for `IMultiCurve`

#### MULTI_POLYGON

    public static final GeometryType MULTI_POLYGON

type for `IMultiPolygon`

#### MULTI_FEATURE_GEOMETRY

    public static final GeometryType MULTI_FEATURE_GEOMETRY

type for `IMultiFeatureGeometry`

#### RECTANGLE

    public static final GeometryType RECTANGLE

type for `IRectangle`

#### ROUNDED_RECTANGLE

    public static final GeometryType ROUNDED_RECTANGLE

type for `ILegacyRoundedRectangle`

#### ELLIPSE

    public static final GeometryType ELLIPSE

type for `ILegacyEllipse`

#### LEGACY_TEXT

    public static final GeometryType LEGACY_TEXT

type for `ILegacyText`

#### LEGACY_ARC

    public static final GeometryType LEGACY_ARC

type for `ILegacyArc`

#### POLYGON

    public static final GeometryType POLYGON

type for `IPolygon`

#### CURVE

    public static final GeometryType CURVE

type for `ICurve`

#### RING

    public static final GeometryType RING

type for `IRing`

#### LINE_STRING

    public static final GeometryType LINE_STRING

type for `ILineString`

#### ALL_FEATURE_GEOMETRY_TYPE

    public static final Set ALL_FEATURE_GEOMETRY_TYPE

Identifies all the types that can be the geometry of a feature.

This set is the union of `GeometryType.ALL_FIRST_CLASS_FEATURE_GEOMETRY_TYPE` and `GeometryType.ALL_LEGACY_GEOMETRY_TYPE`.

#### ALL_FIRST_CLASS_FEATURE_GEOMETRY_TYPE

    public static final Set ALL_FIRST_CLASS_FEATURE_GEOMETRY_TYPE

Identifies all of the types that are considered first class feature geometry types.

This set consists of `GeometryType.POINT`, `GeometryType.MULTI_POINT`, `GeometryType.MULTI_CURVE`, `GeometryType.MULTI_POLYGON`, `GeometryType.MULTI_FEATURE_GEOMETRY`

#### ALL_LEGACY_GEOMETRY_TYPE

    public static final Set ALL_LEGACY_GEOMETRY_TYPE

Identifies all of the types that are considered MapInfo legacy geometry types.

This set consists of `GeometryType.RECTANGLE`, `GeometryType.ROUNDED_RECTANGLE`, `GeometryType.ELLIPSE`, `GeometryType.LEGACY_ARC`, `GeometryType.LEGACY_TEXT`

#### ALL_CURVE_SEGMENT_TYPE

    public static final Set ALL_CURVE_SEGMENT_TYPE

Identifies all the types that are considered curve segments.

This set consists of `GeometryType.LINE_STRING`

#### MULTI_FEATURE_GEOMETRY_CONTENTS_TYPE

    public static final Set MULTI_FEATURE_GEOMETRY_CONTENTS_TYPE

Identifies all the types that can be contained by an `IMultiFeatureGeometry`.

This set consists of `GeometryType.POINT`, `GeometryType.MULTI_POINT`, `GeometryType.MULTI_CURVE`, `GeometryType.MULTI_POLYGON`

#### ALL_NON_FEATURE_GEOMETRY_TYPE

    public static final Set ALL_NON_FEATURE_GEOMETRY_TYPE

Identifies all the types that are not feature geometry types.

This set consists of `GeometryType.LINE_STRING`, `GeometryType.CURVE`, `GeometryType.RING`, `GeometryType.POLYGON`

#### ALL_GEOMETRY_WITH_LENGTH_TYPE

    public static final Set ALL_GEOMETRY_WITH_LENGTH_TYPE

Identifies all the types that have length.

This set consists of `GeometryType.LINE_STRING`, `GeometryType.CURVE`, `GeometryType.MULTI_CURVE`

#### ALL_GEOMETRY_WITH_PERIMETER_TYPE

    public static final Set ALL_GEOMETRY_WITH_PERIMETER_TYPE

Identifies all the types that have perimeter.

This set consists of `GeometryType.RING`, `GeometryType.POLYGON`, `GeometryType.MULTI_POLYGON`, `GeometryType.RECTANGLE`, `GeometryType.ROUNDED_RECTANGLE`, `GeometryType.ELLIPSE`

#### ALL_GEOMETRY_WITH_AREA_TYPE

    public static final Set ALL_GEOMETRY_WITH_AREA_TYPE

Identifies all the types that have area.

This set consists of `GeometryType.RING`, `GeometryType.POLYGON`, `GeometryType.MULTI_POLYGON`, `GeometryType.RECTANGLE`, `GeometryType.ROUNDED_RECTANGLE`, `GeometryType.ELLIPSE`

### Method Detail

#### values

    public static GeometryType[] values()

#### valueOf

    public static GeometryType valueOf(String name)